<bugID>458495<Summary>adapt the ctrl-Tab UI to link tab switch preview and tab location in tab bar</Summary><Description>User-Agent:       Mozilla/5.0 (Macintosh; U; Intel Mac OS X 10.5; fr; rv:1.9.1b1pre) Gecko/20081003 Minefield/3.1b1pre
Build Identifier: Mozilla/5.0 (Macintosh; U; Intel Mac OS X 10.5; fr; rv:1.9.1b1pre) Gecko/20081003 Minefield/3.1b1pre

As a user, I need something to know witch tab in the tab bar I select in the ctrl tab preview.
The old ctrl-tab allow me to visualy localise "where I am in my open tabs". It allow me to organize my browse, as I organize my files/folders depending what I want to do with. (I remember reading something about tabs' uses in planet mozilla, but don't found this study now)
When a user open a tab, Fx give it a place, and the user use it to identify the tab. To organize it browse, the user can modify the tab's order. But with ne new behavirour, he hasn't a way to see where he is seeking in his browsing-map.
With the new behaviour, you can no longer associate a tab-bar location with the tab preview, so it's had to mentaly represent where you are in your tab mental map. It hurt the spatial memory.

Reproducible: Always

Steps to Reproduce:
1.
2.
3.
Actual Results:  
Can't associate the new ctrl-tab map presented in the preview with my mental map and the spatial tab bar map.

Expected Results:  
Design a UI that consider the link between ctrl-map and the user spatial mental memory</Description></bugID>